com.h3c.util.ip

## Enum MacAddress.Format

- java.lang.Object
- - java.lang.Enum<MacAddress.Format>
  - - com.h3c.util.ip.MacAddress.Format

- All Implemented Interfaces:
    Serializable, Comparable<MacAddress.Format>
  Enclosing class:
    MacAddress

      public static enum MacAddress.Format
      extends Enum<MacAddress.Format>

  Designates the different MAC address string formats available.
  See Also:
    `MacAddress.toFormattedString(com.h3c.util.ip.MacAddress.Format)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTI_COLON`
    `MULTI_DASH`
    `NO_DELIMITER`
    `SINGLE_COLON`
    `SINGLE_DASH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MacAddress.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MacAddress.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MULTI_COLON

          public static final MacAddress.Format MULTI_COLON

    - #### MULTI_DASH

          public static final MacAddress.Format MULTI_DASH

    - #### SINGLE_COLON

          public static final MacAddress.Format SINGLE_COLON

    - #### SINGLE_DASH

          public static final MacAddress.Format SINGLE_DASH

    - #### NO_DELIMITER

          public static final MacAddress.Format NO_DELIMITER

  - ### Method Detail

    - #### values

          public static MacAddress.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MacAddress.Format c : MacAddress.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MacAddress.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.